PDA

View Full Version : 182.47 03/19/2009 BETA support for OpenGL 3.1/GLSL 1.40


xavier2k5
03-24-09, 07:56 PM
182.47 provide beta support for OpenGL 3.1 and GLSL 1.40 support (as well as full OpenGL 3.0 and GLSL 1.30 support).
DriverVer = 03/19/2009, 6.14.11.8247

Geforce 6 & up supported in original inf/No Physx included

XP32
http://developer.download.nvidia.com/opengl/3.1/windows/NVIDIAGPUWindowsXP(182_47).exe
XP64
http://developer.download.nvidia.com/opengl/3.1/windows/NVIDIAGPUWindowsXP64-bit(182_47).exe

OpenGL 3.1 Driver Release Notes
You need one of the following graphics cards to get access to the OpenGL 3.1 and GLSL 1.40 functionality:

Desktop
Quadro FX 370, 570, 1700, 3700, 4600, 4700x2, 4800, 5600, 5800, Quadro VX200, Quadro CX
GeForce 8000 series or higher; Geforce G100, GT120, 130, GTS 150, Geforce GTS 250, GeForce GTX 260, 280, 285 and 295, any ION based products.

Notebook
Quadro FX 360M, 370M, 570M, 770M, 1600M, 1700M, 2700M, 3600M, 3700M
GeForce 8000 series or higher
This driver implements all of GLSL 1.30 and all of OpenGL 3.0, and all of OpenGL 3.1 and GLSL 1.40, except for the following functionality:

The std140, column_major and row_major layout qualifiers in GLSL 1.40
The API call BindBufferRange() ignores the <offset> and <size> parameters. In other words, BindBufferRange() behaves the same as BindBufferBase()

This driver exposes the following new extensions:
OpenGL 2.1 extensions:

ARB_vertex_array_object
ARB_framebuffer_object
ARB_half_float_vertex

OpenGL 3.0 extensions:

WGL_create_context
GLX_create_context
ARB_draw_instanced
ARB_geometry_shader4
ARB_texture_buffer_object

OpenGL 3.1 extensions:

ARB_compatibility
ARB_copy_buffer

nogamez
03-28-09, 07:04 PM
Found a site which tested them, not sure about open gl testing mind.

http://www.beforedark.co.uk/cms/reviews/14-drivers/156-nvidia-beta-18247-release-analysis-and-review